<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Quiz 2</title>
</head>
<body>
  <div id="app">
    <form v-on:submit.prevent="addNewUser">
        <label for="new-user"></label>
        <input type="text" v-model = "newUsers" id = "new-user">
        <button>add</button>
    </form>
    <ul>
        <li
          is="user-item"
          v-for="(user, index) in users"
          v-bind:name="user.name"
          v-on:remove="users.splice(index, 1)"
        ></li>
      </ul>
  </div>
  Vue.component('user-item', {
    template: '\
    <li>
        {{ name }}\
        <button v-on:click="$emit(\'remove\')">Remove</button>\
    </li>\
    ,
    props: ['name']
  })
  <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
  <script>
   var vm = new Vue({
      el: '#app',
      data: {
        newUsers : '',  
        users : [
            {name : 'Muhammad Iqbal Mubarok'},
            {name : 'Ruby Purwanti'},
            {name : 'Faqih Muhammad'}
        ]
      },
      methods : {
          addNewUser(){
            this.users.push({
                name : this.newUsers
            })
            this.newUsers = ''
          }
      }
  })
  </script>
</body>
</html>